<!DOCTYPE HTML>
<html>
<head>

    <script type="text/javascript">
    
		function ch1(f1) {
                f1.mch1.value = f1.rec.value;
            }
        
        function ch2(f) {
                f.mch2.value = f.select.value;
            }
        
        function ch3(g) {
  			  document.getElementById("m1").value = document.getElementById("m2").value;
		}

        function qcm1() {
			var resultat = "0";
			var valeurQ1 = document.querySelector('input[name="Q1"]:checked').value;
			var valeurQ2 = document.querySelector('input[name="Q2"]:checked').value;
			var valeurQ3 = document.querySelector('input[name="Q3"]:checked').value;
			if (valeurQ1 == "PSG"){resultat++;}else;
			if (valeurQ2 == "19"){resultat++;}else;
			if (valeurQ3 == "Que la famille"){resultat++;}else;
			document.getElementById("Rep").value = resultat;
		}

    </script>


        </head>
	<body>
		<br><br>
		<div>
		<form>
			Champs de texte 1 :
            <input type="text" onchange="ch1(this.form)" name="rec">
            <br>
            Champs de texte 2 :
            <input type="text" name="mch1">

            <br><br>
			<select onchange="ch2(this.form)" name="select">
				<option value="Paname">France</option>
				<option value="Bogota">Colombie</option>
				<option value="Tokyo">Japon</option>
            </select>
			<input type="text" name="mch2">
            <br><br>


            Champs de texte formulaire 1 :
			<input type="text" id="m2" onchange="ch3()" name="mch4">
		</form>
		
		<form>
			Champs de texte formulaire 2 :
			<input type="text" id="m1" name="mch3">
		</form>
        </div>
        
        <div>
            <h2>QCM</h2>
            <form class="form-horizontal">
    
                <div>
                  <label for="Q1">PSG ou OM</label>
                  <div>
                  <div class="radio">
                    <label for="Q1-0">
                      <input type="radio" name="Q1" id="Q1-0" value="PSG">
                      PSG
                    </label>
                    </div>
                  <div class="radio">
                    <label for="Q1-1">
                      <input type="radio" name="Q1" id="Q1-1" value="OM">
                      OM
                    </label>
                    </div>
                 
                  </div>
                </div>
                
    
                <div>
                  <label id="Q2" for="Q2">SCH numéro ?</label>
                  <div>
                  <div class="radio">
                    <label for="Q2-0">
                      <input type="radio" name="Q2" id="Q2-0" value="19">
                      19
                    </label>
                    </div>
                  <div class="radio">
                    <label for="Q2-1">
                      <input type="radio" name="Q2" id="Q2-1" value="50">
                      50
                    </label>
                    </div>
                  <div class="radio">
                    <label for="Q2-2">
                      <input type="radio" name="Q2" id="Q2-2" value="16">
                      16
                    </label>
                    </div>
                  
                  </div>
                </div>
                
    
                <div>
                  <label for="Q3">QLF = ?</label>
                  <div>
                  <div class="radio">
                    <label for="Q3-0">
                      <input type="radio" name="Q3" id="Q3-0" value="Que la facilité">
                      Que la facilité
                    </label>
                    </div>
                  <div class="radio">
                    <label for="Q3-1">
                      <input type="radio" name="Q3" id="Q3-1" value="Que la famille">
                      Que la famille
                    </label>
                    </div>
                  </div>
                </div>
                
                
			<div>
                <div>
                  <input type="button" onclick="qcm1()" id="Valid" name="Valid" value="Valider"/>
                </div>
              </div>
  
              
              <div>
                <label for="Rep">Réponse bonne</label>  
                <div>
                <input id="Rep" name="Rep" type="text" placeholder="">
                  
                </div>
              </div>
    
                
            </form>
        </div>
        </body>
    </html>
        
